### Method

# FwupdPlugin Device get_request_cnt

since: 1.6.2

#### Declaration [src]

    guint
    fu_device_get_request_cnt (
      FuDevice* self,
      FwupdRequestKind request_kind
    )

#### Description [src]

Returns the number of requests of a specific kind. This function is only useful to the daemon, which uses it to synthesize artificial events for plugins not yet ported to `FwupdRequest`.

Available since: 1.6.2

#### Parameters

`request_kind`

  Type: `FwupdRequestKind`

  The type of request.

#### Return value

Type: `guint`

Integer, usually 0.